package com.adc.da.system.dao;

import com.adc.da.system.entity.CheckModelSeriesListResult;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2020-03-05
 */
public interface CheckModelSeriesListResultMapper extends BaseMapper<CheckModelSeriesListResult> {

    /**
     *
     * @param page
     * @param checkModelSeriesListResult
     * @param baseIdList
     * @return
     */
    IPage<CheckModelSeriesListResult> getByPage(
            @Param("page") Page page,
            @Param("checkModelSeriesListResult") CheckModelSeriesListResult checkModelSeriesListResult,
            @Param("baseIdList") List<String> baseIdList);

    /**
     *
     * @param baseIdList
     * @return
     */
    List<CheckModelSeriesListResult> getList(@Param("baseIdList") List<String> baseIdList);

    /**
     *
     * @param baseIdList
     * @return
     */
    List<CheckModelSeriesListResult> getModelList(@Param("baseIdList") List<String> baseIdList);

}
