package com.adc.da.system.dao;


import com.adc.da.system.entity.CheckVehicleCheckMenu;
import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
@SqlParser(filter = true)
public interface CheckVehicleCheckMenuDao extends BaseMapper<CheckVehicleCheckMenu> {

    /**
     * 判断是否存在待核查项
     * @param vehicleSeriesId
     * @return
     */
    List<CheckVehicleCheckMenu> queryByVehicleSeriesId(@Param("vehicleSeriesId") String vehicleSeriesId);

    /**
     *
     * @param page
     * @param checkVehicleCheckMenu
     * @return
     */
    List<CheckVehicleCheckMenu> queryVehicleCheckMenuByPage(
            @Param("page") Page page,
            @Param("checkVehicleCheckMenu") CheckVehicleCheckMenu checkVehicleCheckMenu);

    /**
     * 不带分页
     * @param checkVehicleCheckMenu
     * @return
     */
    List<CheckVehicleCheckMenu> queryVehicleCheckMenuByPage(
            @Param("checkVehicleCheckMenu") CheckVehicleCheckMenu checkVehicleCheckMenu);

    /**
     *
     * @param vehicleSeriesId
     * @return
     */
    List<CheckVehicleCheckMenu> getMenuByVId(@Param("vehicleSeriesId") String vehicleSeriesId);
}
