package com.adc.da.system.entity;

import com.adc.da.base.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author jobob
 * @since 2019-10-09
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("NERDS.CHECK_CHECK_MENU")
public class CheckCheckMenuManagement extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId("ID")
    private String id;

    /**
     * 参数编号1
     */
    @TableField("PARAMETER_CODE_ONE")
    private String parameterCodeOne;

    /**
     * 参数名称
     */
    @TableField("PARAMETER_NAME")
    private String parameterName;

    /**
     * 参数类型；1:公告  2：环保  3：CCC  4：COC
     */
    @TableField("PARAMETER_TYPE")
    private String parameterType;

    /**
     * 参数对应字段
     */
    @TableField("PARAMETER_DATA")
    private String parameterData;

    /**
     * 参数编号2
     */
    @TableField("PARAMETER_CODE_TWO")
    private String parameterCodeTwo;

    /**
     * 参数状态（0：选中；1：未选中）
     */
    @TableField("PARAMETER_STATE")
    private String parameterState;

    /**
     * 参数核查状态(1：不一致；0：一致)
     */
    @TableField("PARAMETER_CHECK_STATE")
    private String parameterCheckState;


}
