package com.adc.da.system.entity;

import com.adc.da.base.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 车型系列表和车型列表中间表
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("NERDS.CHECK_VEHICLE_AND_SERIES")
public class CheckVehicleAndSeries extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 车型系列表主键
     */
    @TableId("ID")
    private String id;

    /**
     * 车型系列id
     */
    @TableField("VEHICLE_SERIES_ID")
    private String vehicleSeriesId;

    /**
     * 车型列表id
     */
    @TableField("VEHICLE_ID")
    private String vehicleId;
}
