package com.adc.da.system.dao;

import com.adc.da.dto.resDTO.CheckMenuManagementResDTO;
import com.adc.da.system.entity.CheckBulletinDataParameter;
import com.adc.da.system.entity.CheckCheckMenuManagement;
import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-09-26
 */
@SqlParser(filter = true)
public interface CheckBulletinDataParameterMapper extends BaseMapper<CheckBulletinDataParameter> {

    /**
     * 查询所有公告参数和备案参数
     */
    List<CheckMenuManagementResDTO> getNoticeParameter(@Param("parameterCode") String parameterCode
            , @Param("parameterName") String parameterName);

    /**
     *
     * @param id
     * @return
     */
//    List<KeyPartsCheckList> getPartFormCheck(@Param("id") String id);

    /**
     *
     * @param id
     * @param parameterCode
     * @param parameterName
     * @return
     */
    List<CheckBulletinDataParameter> selectRegList(@Param("id") String id, @Param("parameterCode") String parameterCode,
                                                   @Param("parameterName") String parameterName);

    /**
     *
     * @param id
     * @param parameterCode
     * @param parameterName
     * @return
     */
    List<CheckBulletinDataParameter> selectGgList(@Param("id") String id, @Param("parameterCode") String parameterCode,
                                                  @Param("parameterName") String parameterName);

    void updateIsNotEqual(@Param("newId") String id, @Param("oldId") String oldId);

    List<CheckBulletinDataParameter> getOldData(@Param("newId") String id, @Param("oldId") String oldId);

    List<String> selectIsNotEqual(@Param("newId") String id, @Param("oldId") String oldId);

    List<CheckBulletinDataParameter> getRegListByCarId(String id);

    List<CheckCheckMenuManagement> getAllGgParameter();
}
