package com.adc.da.system.dao;


import com.adc.da.dto.reqDTO.CheckMenuManagementReqDTO;
import com.adc.da.system.entity.CheckCheckMenuManagement;
import com.adc.da.system.entity.CheckObdDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-10-09
 */
public interface CheckCheckMenuManagementMapper extends BaseMapper<CheckCheckMenuManagement> {

    /**
     *
     * @param codeList
     * @return
     */
    List<CheckMenuManagementReqDTO> selectNoticeParameterByCodes(@Param("codes") List<String> codeList);
    Integer deleteRelationshipByMenuId(@Param("obdId")String id);
    Integer insertRelationship(@Param("obdId")String obdId,@Param("detailIdList")List<String> detailIdList);
    List<CheckCheckMenuManagement> queryMenuInfoByObdid(@Param("obdId")String obdId);
    List<CheckObdDetail> queryObdDetailInfoByObdid(@Param("obdId")String obdId);
    Integer updateMenuParameterStateByObdid(@Param("obdId")String obdId,@Param("parameterType")String parameterType,@Param("parameterCode")String parameterCode);
}
