package com.adc.da.system.dao;

import com.adc.da.dto.resDTO.DownCheckFalseDTO;
import com.adc.da.system.entity.CheckDataCheckResult;
import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-10-17
 */
@SqlParser(filter = true)
public interface CheckDataCheckResultMapper extends BaseMapper<CheckDataCheckResult> {
    /**
     *
     * @param id
     * @return
     */
    List<String> selectCheckOkDetail(String id);

    /**
     *
     * @param page1
     * @param addresses
     * @param carGroup
     * @param editionCode
     * @param paramName
     * @return
     */
    IPage getListInfo(@Param("page") Page page1, @Param("address") List<String> addresses, @Param("carTypeCode") String carTypeCode,
                      @Param("result") String result, @Param("carGroup")String carGroup, @Param("editionCode")String editionCode, @Param("paramName")String paramName);

    List<DownCheckFalseDTO> downCheckFalse(@Param("address") List<String> address, @Param("carTypeCode") String project, @Param("result") String isHandel,
                                           @Param("carGroup")String carGroup, @Param("editionCode")String editionCode, @Param("paramName")String paramName);

}
