package com.adc.da.system.dao;


import com.adc.da.system.entity.VehicleDatabaseDetails;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface VehicleDatabaseDetailsDao extends BaseMapper<VehicleDatabaseDetails> {

    /**
     *
     * @param cccNumList
     * @param mainCccNumList
     * @param modelCode
     * @param baseIdList
     * @return
     */
    List<VehicleDatabaseDetails> selectListByCccId(@Param("cccNumList") List<String> cccNumList,
                                                   @Param("mainCccNumList") List<String> mainCccNumList,
                                                   @Param("modelCode") String modelCode,
                                                   @Param("baseIdList") List<String> baseIdList);
}
