package com.adc.da.system.entity;

import com.adc.da.base.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("NERDS.CHECK_CER_AND_DETAIL")
public class CheckCerAndDetail extends BaseEntity {

    /**
     * ID
     */
    @TableId("ID")
    private String id;

    /**
     * 主ccc编号
     */
    @TableField("MAIN_CCC_NUM")
    private String mainCccNum;

    /**
     * 核查结果
     */
    @TableField("STATUS")
    private String status;

    /**
     * ccc编号
     */
    @TableField("CCC_NUM")
    private String cccNum;

    /**
     *产品名称
     */
    @TableField("PRODUCT")
    private String product;

    /**
     * 生产厂
     */
    @TableField("FACTORY")
    private String factory;

    /**
     * 型号/规格
     */
    @TableField("MODEL_SPECIFICATION")
    private String modelSpecification;

    /**
     * 证书截止时间
     */
    @TableField("ERPIRE_DATE")
    private String erpireDate;

    /**
     * 厂商
     */
    @TableField("ENT")
    private String ent;

    /**
     * 型号
     */
    @TableField("VT")
    private String vt;

    /**
     * 判断是否一致
     * 0：一致
     * 1：不一致
     */
    @TableField("TYPE")
    private Integer type;

    /**
     * ccc表id
     */
    private transient String detailId;

    /**
     * ccc表title
     */
    @TableField("TITLE")
    private String title;

    /**
     * 判断是否自行更改
     * 0：未更改
     * 1：已更改
     */
    @TableField("IS_CHECKED")
    private Integer isChecked;

    /**
     * 事业部id
     */
    @TableField("BASE")
    private String base;

    /**
     * 参数状态
     */
    @TableField("AUDIT_STATUS")
    private String auditStatus;

    @TableField("STATE")
    private String state;

    /**
     * ccc表detailDate
     */
    private transient String detailData;

    /**
     * nodeId
     */
    private transient String nodeId;

    private transient String modelCode;


    private transient String modelSpecification1;
    private transient String modelSpecification2;
    private transient String modelSpecification3;
    private transient String modelSpecification4;
    private transient String modelSpecification5;
    private transient String modelSpecification6;
    private transient String modelSpecification7;
    private transient String modelSpecification8;
    private transient String modelSpecification9;
    private transient String modelSpecification10;

    public String getModelSpecificationAll() {
        return (this.modelSpecification1 +
                this.modelSpecification2 +
                this.modelSpecification3 +
                this.modelSpecification4 +
                this.modelSpecification5 +
                this.modelSpecification6 +
                this.modelSpecification7 +
                this.modelSpecification8 +
                this.modelSpecification9 +
                this.modelSpecification10).replace("null", "");
    }

    public void setModelSpecification(String modelSpecification) {
        this.modelSpecification = modelSpecification;
    }


}
