package com.adc.da.system.entity;

import com.adc.da.base.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author jobob
 * @since 2019-09-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("NERDS.CHECK_CERTIFICATE_INFO_DETAIL")
public class CheckCertificateInfoDetail extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId("ID")
    private String id;

    /**
     * 证书类型
     */
    @TableField("CERTIFICATE_TYPE")
    private String certificateType;

    /**
     * 图片路径1
     */
    @TableField("PICTURE_PATH_1")
    private String picturePath1;

    /**
     * 图片路径2
     */
    @TableField("PICTURE_PATH_2")
    private String picturePath2;

    /**
     * INFO表id
     */
    @TableField("INFO_ID")
    private String infoId;

    /**
     * 图片识别结果
     */
    @TableField("CONTENT")
    private String content;

    /**
     * 图片识别结果
     */
    @TableField(exist = false)
    private List<CheckDataCheckResult> checkResult;


}
