package com.adc.da.system.entity;

import com.adc.da.base.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * OBD与OBD_DETAILS关联表
 * </p>
 *
 * @author jobob
 * @since 2021-04-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("NERDS.CHECK_DETAIL_OBD")
public class CheckDetailObd extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableField("OBD_ID")
    private String obdId;

    @TableField("DETAIL_ID")
    private String detailId;


}
