package com.adc.da.system.entity;

import com.adc.da.base.BaseReqPageEntity;
import lombok.Data;

@Data
public class VehicleList extends BaseReqPageEntity {
    private String id;
    /**
     * 车辆型号
     */
    private String vehicleModel;

    /**
     * 产品号
     */
    private String productNo;

    /**
     * 产品名称
     */
    private String vehicleName;

    /**
     * 公告批次
     */
    private String vehicleGroup;

    /**
     * 是否创建过车型系列：0为创建，1已创建
     */
    private int type;

    /**
     * CCC系统编号
     */
    private String cccSystemNumber;

    /**
     * 环保公开编号
     */
    private String envPublicNumber;

    /**
     * 版本
     */
    private String editionCode;

    private String baseId;

    private String producingAddress;

    private String companyName;
    private String isImp;

}
