package com.adc.da.system.service;

import com.adc.da.system.entity.CheckCertificateInfoDetail;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-09-26
 */
public interface ICheckCertificateInfoDetailService extends IService<CheckCertificateInfoDetail> {

    /**
     * 图片识别
     * @param imgs
     * @param certificateType
     * @param infoId
     * @param userId
     * @return
     */
    CheckCertificateInfoDetail pictureRecognition(MultipartFile[] imgs, String certificateType, String infoId, String userId);

//    /**
//     * 查询已识别数据
//     * @param certificateType
//     * @param infoId
//     * @return
//     * @throws Exception
//     */
    CheckCertificateInfoDetail selectOne(String certificateType,String infoId) throws Exception;
}


