package com.adc.da.system.service;



import com.adc.da.dto.reqDTO.CheckRealVehicleVerificationDto;
import com.adc.da.system.entity.CheckVehicleCheckMenu;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;


import java.util.List;

public interface ICheckVehicleCheckMenuService extends IService<CheckVehicleCheckMenu> {

    /**
     * 判断是否存在待核查项
     * @param vehicleSeriesId
     * @return
     */
    List<CheckVehicleCheckMenu> queryByVehicleSeriesId(String vehicleSeriesId);

    /**
     * 先插入选中的关键参数
     * @param checkVehicleCheckMenu
     */
    void queryAll(CheckVehicleCheckMenu checkVehicleCheckMenu);

    /**
     *
     * @param page
     * @param checkVehicleCheckMenu
     * @param isShow
     * @return
     */
    IPage<CheckVehicleCheckMenu> queryVehicleCheckMenuByPage(Page page, CheckVehicleCheckMenu checkVehicleCheckMenu,
                                                             CheckRealVehicleVerificationDto checkRealVehicleVerificationDto, String isShow);

    /**
     *
     * @param checkVehicleCheckMenu
     * @return
     */
    List<CheckVehicleCheckMenu> queryVehicleCheckMenu(CheckVehicleCheckMenu checkVehicleCheckMenu,
                                                      CheckRealVehicleVerificationDto checkRealVehicleVerificationDto);

    /**
     *
     * @param vehicleSeriesId
     * @return
     */
    List<CheckVehicleCheckMenu> getMenuByVId(String vehicleSeriesId);
}
